body {
    font-family: "Roboto", system-ui;
}


:root {
    --univie-color-blue: #0063a6;
    --univie-color-indigo: #5d3996;
    --univie-color-purple: #5d3996;
    --univie-color-pink: #a71c49;
    --univie-color-red: #bc0909;
    --univie-color-orange: #de8006;
    --univie-color-yellow: #ffc40d;
    --univie-color-green: #5c8006;
    --univie-color-light-green: #aacb6b;
    --univie-color-teal: #11897a;
    --univie-color-cyan: #0063a6;
    --univie-color-primary: #0063a6;
    --univie-color-secondary: #0063a6;
    --univie-color-success: #5c8006;
    --univie-color-info: #de8006;
    --univie-color-specialinfo: #0063a6;
    --univie-color-warning: #de8006;
    --univie-color-danger: #bc0909;
    --univie-color-light-danger: #f8e5e5;
    --univie-color-light-info: #fcf2e5;
    --univie-color-light-specialinfo: #e5eff6;
    --univie-color-light-success: #eef2e5;
    --univie-color-light-mentor: #fef6e5;
    --univie-color-light: #f8f9fa;
    --univie-color-dark: #595959;
    --univie-color-help: #aacb6b;
    --univie-color-update: #5d3996;
    --univie-color-focus: rgba(148, 193, 84, 0.75);
    --univie-color-student: #94c154;
    --univie-color-teacher: #a71c49;
    --univie-color-mentor: #f6a800;
    --univie-color-library: #0063a6;
    --univie-color-gray-100: #f8f9fa;
    --univie-color-gray-150: #f0f2f5;
    --univie-color-gray-200: #e9ecef;
    --univie-color-gray-300: #dee2e6;
    --univie-color-gray-400: #ced4da;
    --univie-color-gray-500: #adb5bd;
    --univie-color-gray-600: #666;
    --univie-color-gray-700: #495057;
    --univie-color-gray-800: #343a40;
    --univie-color-gray-900: #333;
    --univie-color-primary-100: #e5eff6;
    --univie-color-primary-200: #cce0ed;
    --univie-color-primary-300: #b2d0e4;
    --univie-color-primary-400: #99c0db;
    --univie-color-primary-500: #7fb0d2;
    --univie-color-primary-600: #66a1c9;
    --univie-color-primary-700: #4c91c0;
    --univie-color-primary-800: #3382b7;
    --univie-color-primary-900: #1972ae;
    --univie-color-primary-hover: #004c80;
    --univie-color-success-100: #eef2e5;
    --univie-color-success-200: #dee6cd;
    --univie-color-success-300: #ced9b3;
    --univie-color-success-400: #becc9b;
    --univie-color-success-500: #adbf82;
    --univie-color-success-600: #9db369;
    --univie-color-success-700: #8ca650;
    --univie-color-success-800: #7c9937;
    --univie-color-success-900: #6c8c1e;
    --univie-color-info-100: #fcf2e5;
    --univie-color-info-200: #f9e6cd;
    --univie-color-info-300: #f5d9b3;
    --univie-color-info-400: #f2cc9b;
    --univie-color-info-500: #eebf82;
    --univie-color-info-600: #ebb369;
    --univie-color-info-700: #e8a650;
    --univie-color-info-800: #e49937;
    --univie-color-info-900: #e18c1e;
    --univie-color-info-icon: #c27005;
    --univie-color-danger-100: #f8e5e5;
    --univie-color-danger-200: #f2cdcd;
    --univie-color-danger-300: #ebb4b4;
    --univie-color-danger-400: #e49c9c;
    --univie-color-danger-500: #dd8383;
    --univie-color-danger-600: #d76b6b;
    --univie-color-danger-700: #d05252;
    --univie-color-danger-800: #c93a3a;
    --univie-color-danger-900: #c22121;
    --univie-color-update-100: #eeebf4;
    --univie-color-update-200: #ded7ea;
    --univie-color-update-300: #cec3df;
    --univie-color-update-400: #beafd5;
    --univie-color-update-500: #ad9bca;
    --univie-color-update-600: #9d88c0;
    --univie-color-update-700: #8d74b5;
    --univie-color-update-800: #7d60ab;
    --univie-color-update-900: #6c4ca0;
    --univie-spacing-0: 0;
    --univie-spacing-1: .25rem;
    --univie-spacing-2: .5rem;
    --univie-spacing-3: 1rem;
    --univie-spacing-4: 1.5rem;
    --univie-spacing-5: 3rem;
    --univie-font-color-default: #333;
    --univie-font-color-light: white;
    --univie-font-weight-light: 300;
    --univie-font-weight-normal: 400;
    --univie-font-weight-medium: 500;
    --univie-font-weight-bold: 700;
    --univie-font-size-base: 1rem;
    --univie-font-size-sm: .8rem;
    --univie-font-size-lg: 1.25rem;
    --univie-breakpoint-xs: 0;
    --univie-breakpoint-sm: 576px;
    --univie-breakpoint-md: 768px;
    --univie-breakpoint-lg: 992px;
    --univie-breakpoint-xl: 1200px;

    --bs-primary: var(--univie-color-primary);
    --bs-secondary: var(--univie-color-secondary);
    --bs-success: var(--univie-color-success);
    --bs-info: var(--univie-color-info);
    --bs-warning: var(--univie-color-warning);
    --bs-danger: var(--univie-color-danger);
    --bs-light: var(--univie-color-light);
    --bs-dark: var(--univie-color-dark);

    --bs-link-color: var(--bs-primary);
    --bs-link-hover-color: #00355a;

    --bs-primary-rgb: 0, 99, 166;
    --bs-secondary-rgb: 0, 99, 166;
}

.pagination {
    --bs-pagination-active-bg: var(--univie-color-primary);
    --bs-pagination-active-border-color: var(--univie-color-primary);
}

a {
    color: var(--univie-color-primary);
}

a:hover {
    color: var(--bs-link-hover-color);
}

.btn-primary {
    color: white;
    background-color: var(--univie-color-primary);
    border-color: var(--univie-color-primary);
}

.btn-primary:hover {
    color: white;
    background-color: var(--univie-color-primary-hover);
    border-color: #004573;
}

.btn-danger {
    color: white;
    background-color: var(--univie-color-danger);
    border-color: var(--univie-color-danger);
}

.btn-danger:hover {
    color: white;
    background-color: #910707;
    border-color: #840606;
}

nav {
    font-size: 1.15rem;
}

nav a.nav-link {
    color: var(--univie-color-primary);
    text-decoration: none;
    background-color: transparent;
    -webkit-text-decoration-skip: objects;
    transition: none;
    text-align: center;
}

nav a.nav-link:hover {
    box-shadow: none;
    text-decoration: none;
    background: rgba(0, 99, 166, 0.25);
    border-radius: 7px;
}

.navbar-nav .nav-link.active, .navbar-nav .nav-link.show {
    font-weight: bold;
    color: var(--univie-color-primary);
}

.nav-link:focus, .nav-link:hover {
    color: var(--bs-link-hover-color) !important;
}

.dropdown-menu {
    background-color: var(--univie-color-primary);
    border-style: solid;
    box-shadow: rgba(0, 0, 0, 0.4) 0 0 2rem;
    border-color: var(--univie-color-primary);
    padding: 1rem;
    padding-bottom: .6rem;
    border-width: 4px 4px 4px 4px;
    overflow: visible;
    left: 50% !important;
    transform: translate(-50%, 0) !important;
    top: unset !important;
    margin-top: 5px;
}

.dropdown-item {
    white-space: nowrap;
    padding: .6rem .8rem;
    line-height: 1rem;
    text-align: center;
    color: white;
}

.dropdown-item:hover {
    background: transparent;
    text-decoration: underline;
    color: white;
}

.connector {
    position: absolute;
    width: 100%;
    height: 30px;
    top: -30px;
}

.arrow {
    position: absolute;
    color: transparent;
    top: -23px;
    margin-left: calc(50% - 2rem + 0.35rem);
    width: .7rem;
    height: .7rem;
    border-style: solid;
    border-width: .7rem .7rem .7rem .7rem;
    border-bottom-color: var(--univie-color-primary);
}

body {
    display: flex;
    flex-direction: column;
    min-height: 100vh;
    margin: 0;
}

.main-content {
    flex-grow: 1;
}

.changelog h1,
.changelog h2 {
    padding-bottom: .03em;
    border-bottom: 1px solid var(--bs-border-color);
    margin-bottom: 1rem;
}

.changelog h2 {
    margin-top: 1.5rem;
}

.tooltip-inner {
    white-space: pre;
    max-width: none;
}

label:has(+ :is(input, select):required):after {
    content: " *";
    color: var(--univie-color-danger);
}

label:has(+ select[multiple]):after {
    content: " ⓘ";
    color: var(--univie-color-danger);
}

label:has(+ select[multiple]:required):after {
    content: " * ⓘ";
    color: var(--univie-color-danger);
}

.required label::after {
    content: " *";
    color: var(--univie-color-danger);
}

.required label:has(+ select[multiple])::after {
    content: " * ⓘ";
    color: var(--univie-color-danger);
}

.sidebar {
    min-width: 180px;
    background-color: var(--univie-color-light);
    border-right: 1px solid var(--univie-color-gray-300);
    height: 100vh;
    position: sticky;
    top: 0;
}

.sidebar .nav-link {
    color: var(--univie-color-gray-900);
    padding: 10px 15px;
}

.sidebar .nav-link:hover {
    background-color: var(--univie-color-gray-200);
}

.sidebar .nav-link.active {
    background-color: var(--univie-color-primary);
    color: var(--univie-font-color-light);
}

.sidebar .nav-link.active:hover {
    background-color: var(--univie-color-primary-hover);
    color: var(--univie-font-color-light) !important;
}

@media (max-width: 991.98px) {
    .dropdown > .dropdown-menu {
        position: static !important;
        transform: none !important;
        border-width: 0 4px 4px 4px;
        padding: 0 1rem 1rem 1rem;
        box-shadow: none;
        width: 100%;
        max-width: unset;
        max-height: unset;
    }

    .arrow {
        position: relative;
        margin: 0 auto;
        top: -20px;
    }
}
